﻿@model IEnumerable<eCommerce.Services.Model.TransactionCategory>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-sm-5 ">Nombre</th>
            <th class="col-sm-3 text-center">Tipo</th>
            <th class="col-sm-1 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Name)</td>
            <td class="text-center">
                @if ((TransactionTypeEnum)item.TransactionTypeId == TransactionTypeEnum.Ingreso)
                {
                    <span class="text-success text-semibold">
                        <i class="icon wb-chevron-up-mini" aria-hidden="true"></i> @item.TransactionType.Description
                    </span>
                }
                else
                {
                    <span class="text-danger text-semibold">
                        <i class="icon wb-chevron-down-mini" aria-hidden="true"></i> @item.TransactionType.Description
                    </span>
                }
            </td>
            <td class="actions text-center">
                <a href="/TransactionCategories/TransactionCategoryUpdate/@item.TransactionCategoryId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.TransactionCategoryId" onclick="fDeleteDialog(@item.TransactionCategoryId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
